# --------------------------------------------------------------------------
# Copyright (C) 2000-2001 Klar�lvdalens Datakonsult AB. All rights reserved.
#
# This file is part of KNUT, the Windows resource converter for Qt GUI
# Designer. You may only use and modify it according to the license terms
# appearing in the file LICENSE included in this package.
#
# Holders of a commercial license have additional rights as specified in the
# license terms shipped with the commercial package.
#
# This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
# WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
# --------------------------------------------------------------------------

TEMPLATE	= app
CONFIG		+= qt warn_on debug

linux-g++:TMAKE_CXXFLAGS += -pedantic -Wno-long-long

HEADERS		=
SOURCES		= resconvmain.cpp
INCLUDEPATH = ../libresconv
DESTDIR     = ../build
unix:LIBS		= -L$$DESTDIR -lknut -lextractor -lparser -lreswritegui -lreswriteqtsource -lreswritexml
win32:LIBS	+= ../build/knut.lib ../build/extractor.lib ../build/parser.lib ../build/reswritegui.lib ../build/reswriteqtsource.lib ../build/reswritexml.lib
TARGET		= knut
win32:DEFINES += _QT_DLL
win32-msvc:QMAKE_CXXFLAGS += /GX /GR
#win32:TMAKE_LFLAGS += /nodefaultlib:libc.lib
win32:TMAKE_LFLAGS += /nodefaultlib:msvcrt.lib
unix {
  MOC_DIR = .moc
  OBJECTS_DIR = .obj
  UI_DIR= .ui
}
!unix {
  MOC_DIR = _moc
  OBJECTS_DIR = _obj
  UI_DIR = _ui
}
