# --------------------------------------------------------------------------
# Copyright (C) 2000-2001 Klar�lvdalens Datakonsult AB. All rights reserved.
#
# This file is part of KNUT, the Windows resource converter for Qt GUI
# Designer. You may only use and modify it according to the license terms
# appearing in the file LICENSE included in this package.
#
# Holders of a commercial license have additional rights as specified in the
# license terms shipped with the commercial package.
#
# This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
# WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
# --------------------------------------------------------------------------

TEMPLATE = lib
TARGET   = parser
CONFIG	 += qt debug warn_on staticlib

linux-g++:TMAKE_CXXFLAGS += -pedantic -Wno-unused -Wno-long-long

HEADERS	 = \
			ResAccelerators.h	\
			ResBitmap.h	\
			ResCursor.h	\
			ResData.h	\
			ResDialog.h	\
			ResDlgInit.h	\
			ResFile.h	\
			ResFont.h	\
			ResFontDir.h	\
			ResGroupCursor.h	\
			ResGroupIcon.h	\
			ResHeader.h	\
			ResIcon.h	\
			ResMenu.h	\
			ResMessageTable.h	\
			ResNewBitmap.h	\
			ResNewDialog.h	\
			ResNewMenu.h	\
			ResRCData.h	\
			ResString.h	\
			ResToolbar.h	\
		 	ResUserDefined.h	\
			ResVersion.h	\
			Resource.h	\
			tools.h	\
			typedefs.h
SOURCES	 = \
			ResAccelerators.cpp	\
			ResBitmap.cpp	\
			ResCursor.cpp	\
			ResData.cpp	\
			ResDialog.cpp	\
			ResDlgInit.cpp	\
			ResFile.cpp	\
			ResFont.cpp	\
			ResFontDir.cpp	\
			ResGroupCursor.cpp	\
			ResGroupIcon.cpp	\
			ResHeader.cpp	\
			ResIcon.cpp	\
			ResMenu.cpp	\
			ResMessageTable.cpp	\
			ResNewBitmap.cpp	\
			ResNewDialog.cpp	\
			ResNewMenu.cpp	\
			ResRCData.cpp	\
			ResString.cpp	\
			ResToolbar.cpp	\
			ResUserDefined.cpp	\
			ResVersion.cpp	\
			Resource.cpp	\
			tools.cpp
DESTDIR		= ../build
win32:DEFINES += _QT_DLL
win32-msvc:QMAKE_CXXFLAGS += /GX /GR
#win32:TMAKE_LFLAGS += /nodefaultlib:libc.lib
win32:TMAKE_LFLAGS += /nodefaultlib:msvcrt.lib
unix {
  MOC_DIR = .moc
  OBJECTS_DIR = .obj
  UI_DIR= .ui
}
!unix {
  MOC_DIR = _moc
  OBJECTS_DIR = _obj
  UI_DIR = _ui
}

KDAB_EVAL {
  message(compiling EVAL version for processing 5 dialogs only)
  DEFINES += KDAB_EVAL
}
